Bug 112773 - 'Fuzzy'' sound issue with via82xx / alc650 under Fedora Core 1 - both with Standard and ALSA drivers
'Fuzzy'' sound issue with via82xx / alc650 under Fedora Core 1 - both with St...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-31 00:59 EST by Aimery de Malet
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 15:54:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aimery de Malet 2003-12-31 00:59:19 EST
Description of problem:

User experiences 'fuzzy' sound particularly low base and high trebble
using either the standard drivers as well as the alsa drivers.

Version-Release number of selected component (if applicable):

Linux localhost.localdomain 2.4.22-1.2135.nptl #1 Mon Dec 15 16:05:26
EST 2003 i686 athlon i386 GNU/Linux

Motherboard - Asus A7V8X

Problem is not exhibited under MS Windows XP

How reproducible:

Simply play any sound file both at the command line as well as in a X
windows desktop such as GNOME or KDE.

Steps to Reproduce:
1. Install sound card (during normal install process or alternatively
install using alsa sound drivers)
2. Play any sound (wav, etc) with xmms or any other sound player
3.
  
Actual results:


Expected results:


Additional info:

Bug exhibited with all fedora kernels - 2115, 2229, 2235....


Outputs from various commands:
[root@localhost ademalet]# /sbin/lsmod
Module                  Size  Used by    Not tainted
snd-pcm-oss            43908   0  (autoclean)
snd-mixer-oss          15408   1  (autoclean) [snd-pcm-oss]
snd-via82xx            16960   4  (autoclean)
snd-ac97-codec         57676   0  (autoclean) [snd-via82xx]
snd-pcm                84612   1  (autoclean) [snd-pcm-oss snd-via82xx]
snd-timer              19172   0  (autoclean) [snd-pcm]
gameport                3380   0  (autoclean) [snd-via82xx]
snd-page-alloc          9396   0  (autoclean) [snd-via82xx snd-pcm]
snd-mpu401-uart         5072   0  (autoclean) [snd-via82xx]
snd-rawmidi            18048   0  (autoclean) [snd-mpu401-uart]
snd-seq-device          5976   0  (autoclean) [snd-rawmidi]
snd                    45732   2  (autoclean) [snd-pcm-oss
snd-mixer-oss snd-via82xx snd-ac97-codec snd-pcm snd-timer
snd-mpu401-uart snd-rawmidi snd-seq-device]
soundcore               6500   4  (autoclean) [snd]
parport_pc             18468   1  (autoclean)
lp                      8356   0  (autoclean)
parport                36800   1  (autoclean) [parport_pc lp]
autofs                 12052   0  (autoclean) (unused)
b44                    16680   1
ipt_REJECT              4216   1  (autoclean)
ipt_state               1080   1  (autoclean)
ip_conntrack           27752   1  (autoclean) [ipt_state]
iptable_filter          2444   1  (autoclean)
ip_tables              14560   3  [ipt_REJECT ipt_state iptable_filter]
floppy                 56348   0  (autoclean)
sg                     34796   0  (autoclean)
sr_mod                 17016   0  (autoclean)
ide-scsi               11856   0
scsi_mod              109384   2  [sg sr_mod ide-scsi]
ide-cd                 34176   0
cdrom                  33984   0  [sr_mod ide-cd]
ohci1394               28520   0  (unused)
ieee1394              203940   0  [ohci1394]
nls_iso8859-1           3548   1  (autoclean)
ntfs                   58336   1  (autoclean)
keybdev                 2624   0  (unused)
hid                    23652   0  (unused)
ehci-hcd               19784   0  (unused)
usb-uhci               25740   0  (unused)
usbcore                77984   1  [hid ehci-hcd usb-uhci]
mousedev                5204   1  (autoclean)
input                   5824   0  (autoclean) [keybdev hid mousedev]
radeon                118212  12
agpgart                55108   3
ext3                   70532   2
jbd                    50796   2  [ext3]

--------------
root@localhost ademalet]# /sbin/lspci
00:00.0 Host bridge: VIA Technologies, Inc. VT8377 [KT400 AGP] Host Bridge
00:01.0 PCI bridge: VIA Technologies, Inc. VT8235 PCI Bridge
00:07.0 FireWire (IEEE 1394): VIA Technologies, Inc. IEEE 1394 Host
Controller (rev 80)
00:08.0 RAID bus controller: Promise Technology, Inc. PDC20376 (rev 02)
00:09.0 Ethernet controller: Broadcom Corporation BCM4401 100Base-T
(rev 01)
00:10.0 USB Controller: VIA Technologies, Inc. USB (rev 80)
00:10.1 USB Controller: VIA Technologies, Inc. USB (rev 80)
00:10.2 USB Controller: VIA Technologies, Inc. USB (rev 80)
00:10.3 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 82)
00:11.0 ISA bridge: VIA Technologies, Inc. VT8235 ISA Bridge
00:11.1 IDE interface: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT8233/A/C/VT8235 PIPC Bus Master IDE (rev 06)
00:11.5 Multimedia audio controller: VIA Technologies, Inc.
VT8233/A/8235 AC97 Audio Controller (rev 50)
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon R100 QD
[Radeon 7200]

-----------------------------
Comment 1 Noa Resare 2004-05-19 16:32:50 EDT
I suppose this is the same probelm that I encountered (however, the
description fuzzy is a bit fuzzy).

Does the problem go away when resampling the example to 48khz?

To test this do the following:

1) Grab a cd (preferrably a soft one) and rip a track with 'cdparanoia
-X TRACKNUM'
2) play the resulting wav file with 'play cdda.wav' and verify that
the audio problem exist
3) use the following command line to resample the track to 48khz:
   sox cdda.wav -r 48000 cdda48.wav polyphase
4) now play the resulting wav file with 'play cdda48.wav' and here if
the problem is gone

My guess is that the hardware only supports 48khz, but the drivers
emulates support for 44.1khz (cd rate). Some drivers does this better
(xp, oss) than others (alsa) at the moment.

I'll try to investigate this further myself, but "fixes from above"
would be appreciated.

ps. my hardware as reported by lspci:

VIA Technologies, Inc. VT8233/A/8235/8237 AC97 Audio Controller (rev 50)
Comment 2 Noa Resare 2004-05-20 02:59:40 EDT
Firstly I think that the sound artefact is better described as
'sizzling sound' when playing 44.1khz audio.

After some poking around in the ALSA jungle I found that the DXS
autodetection doesn't work properly (It is my understanding that DXS
is the ability to mix different sounds in hardware instead of just
doing software mixing) 

DXS behaviour in alsa is controlled by the dxs_support parameter that
can be sent to the snd_via82xx module when loaded. If I set
dxs_support to 0 or 1 I get broken 44.1khz audio, however if I set the
parameter parameter to 2, 3 or 4 the problem is gone.

One thing that made this a lot more difficult to debug is the fact
that /etc/modprobe.conf contains the following line:

install snd-via82xx /sbin/modprobe --ignore-install snd-via82xx &&
/usr/sbin/alsactl restore >/dev/null 2>&1 || :

A line that effectively and silently 'eats' all parameters sent to the
snd-via82xx module as additional modprobe arguments. Could this be
fixed in some better way?

According to http://alsa.opensrc.org/index.php?page=via8233 the
autodetection that is supposed to happen by default is done by a list
of known good hardware i in the kernel, a list that apparently needs
to be updated. I'll notify upstream about this for my particular
hardware (An ASUS A7V8X motherboard with integrated VIA 8235 sound.) 

Others might want to do the same for their hardware if they also have
this problem problem.

In the meantime I can work around the problem by adding the line
'options snd-via82xx dxs_support=4' to my /etc/modprobe.conf
Comment 3 Noa Resare 2004-05-29 19:59:34 EDT
According to
https://bugtrack.alsa-project.org/alsa-bug/bug_view_page.php?bug_id=0000284
this issue is supposedly fixed upstream in alsa now for my particular
hardware.

Comment 4 Rex Dieter 2004-07-09 13:44:25 EDT
Same problem, Fedora Core 2, latest errara kernel.  FC2's stock kernel
worked fine.
Comment 5 David Lawrence 2004-09-29 15:54:35 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.